Overview
GET/content/polls/{id}content

Get polls by id

Fetch a record from polls by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Responses
200

polls

  • idstring
  • customerIdstring
  • deletedAtstring?
  • ecosystemIdstring
  • hostKindstring?
  • hostIdstring?
  • questionstring
  • allowMultipleboolean
  • expiresAtstring?
  • createdAtstring
  • updatedAtstring
Example
{
  "id": "string",
  "customerId": "string",
  "deletedAt": "string",
  "ecosystemId": "string",
  "hostKind": "string",
  "hostId": "string",
  "question": "string",
  "allowMultiple": true,
  "expiresAt": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/content/polls/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/polls/{id}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();